import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/workOrder/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/workOrder/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/workOrder/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/workOrder/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/workOrder/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/base/workOrder/delete/" + id);
}

function confirm(id) {
  return request.post(constant.serverUrl + "/base/workOrder/confirm/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/workOrder/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  pageList, create, edit, add, update, remove, batchRemove,confirm
}